% T2p = convert1p2p(T1p)
%   convert a 1-photon transfer matrix to 2-photon
%

function T2p = convert1p2p(T1p)

  if size(T1p, 1) == 1 || size(T1p, 2) == 1 
    T1p = make2x2TF(T1p, 0, 0, conj(T1p));
  end

  Mbasis = [1 1 ; -1i 1i] / sqrt(2);  
  T2p = getProdTF(Mbasis, T1p, inv(Mbasis));
end

