(TeX-add-style-hook
 "FC_baffles"
 (lambda ()
   (TeX-add-to-alist 'LaTeX-provided-class-options
                     '(("ligodoc_v3" "colorlinks=true" "pdfstartview=FitV" "linkcolor=blue" "citecolor=magenta" "urlcolor=red")))
   (TeX-add-to-alist 'LaTeX-provided-package-options
                     '(("glossaries" "automake" "acronym" "toc") ("xcolor" "table") ("placeins" "section")))
   (add-to-list 'LaTeX-verbatim-environments-local "lstlisting")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "url")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "nolinkurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperbaseurl")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperimage")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "hyperref")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "href")
   (add-to-list 'LaTeX-verbatim-macros-with-braces-local "lstinline")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "path")
   (add-to-list 'LaTeX-verbatim-macros-with-delims-local "lstinline")
   (TeX-run-style-hooks
    "latex2e"
    "ligodoc_v3"
    "ligodoc_v310"
    "glossaries"
    "xcolor"
    "graphicx"
    "hyperref"
    "amssymb"
    "amsmath"
    "xfrac"
    "braket"
    "autofigs8"
    "listings"
    "float"
    "placeins")
   (TeX-add-symbols
    '("Op" 2)
    '("Id" 1)
    '("sirHz" 1)
    '("si" 1)
    '("cSensitivity" 2)
    '("Sensitivity" 2)
    '("e" 2)
    '("tcode" 1)
    '("mat" 1)
    '("conj" 1)
    '("red" 1)
    '("dcc" 1)
    '("hblue" 2)
    '("link" 2)
    "freqR"
    "freqRHz"
    "Tin"
    "degang"
    "Finesse"
    "Fpole"
    "Fsb"
    "Ffsr"
    "Fcarrier"
    "Fdet"
    "FSQL"
    "FFC"
    "UnitRtWatt"
    "LossRT"
    "rRT"
    "Fin"
    "Frefl"
    "Fcirc"
    "Fmirror"
    "Msafety"
    "Msqz"
    "Mdpass"
    "Pleak"
    "HcavDL"
    "rmd")
   (LaTeX-add-labels
    "sec:baffles"
    "eq:diffscatter"))
 :latex)

